| The Gaudi Framework v28r2p1 (f1a77ff4)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

Classes | Macros | Functions
pfmlib_intel_nhm.h File Reference
`#include <perfmon/pfmlib.h>`
Include dependency graph for pfmlib_intel_nhm.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
union | pfm_nhm_sel_reg_t
struct | pfmlib_nhm_counter_t
struct | pfmlib_nhm_lbr_t
struct | pfmlib_nhm_pebs_t
struct | pfmlib_nhm_input_param_t

## Macros
#define | PMU_NHM_NUM_COUNTERS 16
#define | PFM_NHM_SEL_INV 0x1 /* inverse */
#define | PFM_NHM_SEL_EDGE 0x2 /* edge detect */
#define | PFM_NHM_SEL_ANYTHR 0x4 /* any thread (core only) */
#define | PFM_NHM_SEL_OCC_RST 0x8 /* reset occupancy (uncore only) */
#define | PFM_NHM_LBR_JCC 0x4 /* do not capture conditional branches */
#define | PFM_NHM_LBR_NEAR_REL_CALL 0x8 /* do not capture near calls */
#define | PFM_NHM_LBR_NEAR_IND_CALL 0x10 /* do not capture indirect calls */
#define | PFM_NHM_LBR_NEAR_RET 0x20 /* do not capture near returns */
#define | PFM_NHM_LBR_NEAR_IND_JMP 0x40 /* do not capture indirect jumps */
#define | PFM_NHM_LBR_NEAR_REL_JMP 0x80 /* do not capture near relative jumps */
#define | PFM_NHM_LBR_FAR_BRANCH 0x100/* do not capture far branches */
#define | PFM_NHM_LBR_ALL 0x1fc /* filter out all branches */

## Functions
int | pfm_nhm_is_pebs (pfmlib_event_t *e)
int | pfm_nhm_is_uncore (pfmlib_event_t *e)
int | pfm_nhm_data_src_desc (unsigned int val, char **desc)

## Macro Definition Documentation

#define PFM_NHM_LBR_ALL 0x1fc /* filter out all branches */

Definition at line 125 of file pfmlib_intel_nhm.h.

#define PFM_NHM_LBR_FAR_BRANCH 0x100/* do not capture far branches */

Definition at line 124 of file pfmlib_intel_nhm.h.

#define PFM_NHM_LBR_JCC 0x4 /* do not capture conditional branches */

Definition at line 118 of file pfmlib_intel_nhm.h.

#define PFM_NHM_LBR_NEAR_IND_CALL 0x10 /* do not capture indirect calls */

Definition at line 120 of file pfmlib_intel_nhm.h.

#define PFM_NHM_LBR_NEAR_IND_JMP 0x40 /* do not capture indirect jumps */

Definition at line 122 of file pfmlib_intel_nhm.h.

#define PFM_NHM_LBR_NEAR_REL_CALL 0x8 /* do not capture near calls */

Definition at line 119 of file pfmlib_intel_nhm.h.

#define PFM_NHM_LBR_NEAR_REL_JMP 0x80 /* do not capture near relative jumps */

Definition at line 123 of file pfmlib_intel_nhm.h.

#define PFM_NHM_LBR_NEAR_RET 0x20 /* do not capture near returns */

Definition at line 121 of file pfmlib_intel_nhm.h.

#define PFM_NHM_SEL_ANYTHR 0x4 /* any thread (core only) */

Definition at line 105 of file pfmlib_intel_nhm.h.

#define PFM_NHM_SEL_EDGE 0x2 /* edge detect */

Definition at line 104 of file pfmlib_intel_nhm.h.

#define PFM_NHM_SEL_INV 0x1 /* inverse */

Definition at line 103 of file pfmlib_intel_nhm.h.

#define PFM_NHM_SEL_OCC_RST 0x8 /* reset occupancy (uncore only) */

Definition at line 106 of file pfmlib_intel_nhm.h.

#define PMU_NHM_NUM_COUNTERS 16

Definition at line 48 of file pfmlib_intel_nhm.h.

## Function Documentation

int pfm_nhm_data_src_desc | ( | unsigned int | val,
|  | char ** | desc
| ) |  |

int pfm_nhm_is_pebs | ( | pfmlib_event_t * | e | ) |

int pfm_nhm_is_uncore | ( | pfmlib_event_t * | e | ) |